Skip to main content
Server path: /airtable | Type: Application | PCID required: Yes

Tools

ToolDescription
airtable_add_base_collaboratorAdd base collaborator
airtable_add_interface_collaboratorAdd interface collaborator
airtable_add_workspace_collaboratorAdd workspace collaborator
airtable_audit_log_eventsAudit log events
airtable_change_eventsChange events
airtable_create_a_webhookCreate a webhook
airtable_create_audit_log_requestCreate audit log request
airtable_create_baseCreate base
airtable_create_base_from_package_enterpriseCreate base from package
airtable_create_commentCreate comment
airtable_create_descendant_enterpriseCreate descendant enterprise
airtable_create_ediscovery_exportCreate eDiscovery export
airtable_create_fieldCreate field
airtable_create_recordsCreate records
airtable_create_tableCreate table
airtable_create_workspaceCreate workspace
airtable_delete_a_webhookDelete a webhook
airtable_delete_baseDelete base
airtable_delete_base_collaboratorDelete base collaborator
airtable_delete_base_inviteDelete base invite
airtable_delete_block_installationDelete block installation
airtable_delete_commentDelete comment
airtable_delete_interface_collaboratorDelete interface collaborator
airtable_delete_interface_inviteDelete interface invite
airtable_delete_multiple_recordsDelete multiple records
airtable_delete_recordDelete record
airtable_delete_shareDelete share
airtable_delete_user_by_idDelete user by id
airtable_delete_users_by_emailDelete users by email
airtable_delete_viewDelete view
airtable_delete_workspaceDelete workspace
airtable_delete_workspace_collaboratorDelete workspace collaborator
airtable_delete_workspace_inviteDelete workspace invite
airtable_enable_disable_webhook_notificationsEnable/disable webhook notifications
airtable_get_audit_log_requestGet audit log request
airtable_get_base_collaboratorsGet base collaborators
airtable_get_base_schemaGet base schema
airtable_get_ediscovery_exportGet eDiscovery export
airtable_get_enterpriseGet enterprise
airtable_get_interfaceGet interface
airtable_get_recordGet record
airtable_get_user_by_idGet user by id
airtable_get_user_groupGet user group
airtable_get_user_id_scopesGet user info
airtable_get_users_by_id_or_emailGet users by id or email
airtable_get_view_metadataGet view metadata
airtable_get_workspace_collaboratorsGet workspace collaborators
airtable_grant_admin_accessGrant admin access
airtable_list_audit_log_requestsList audit log requests
airtable_list_basesList bases
airtable_list_block_installationsList block installations
airtable_list_commentsList comments
airtable_list_ediscovery_exportList eDiscovery exports
airtable_list_enterprise_packagesList packages
airtable_list_recordsList records
airtable_list_sharesList shares
airtable_list_viewsList views
airtable_list_webhook_payloadsList webhook payloads
airtable_list_webhooksList webhooks
airtable_logout_userLogout user
airtable_manage_block_installationManage block installation
airtable_manage_shareManage share
airtable_manage_userManage user
airtable_manage_user_batchedManage user batched
airtable_manage_user_membershipManage user membership
airtable_move_baseMove base
airtable_move_user_groupsMove user groups
airtable_move_workspacesMove workspaces
airtable_post_sync_api_endpointSync CSV data
airtable_refresh_a_webhookRefresh a webhook
airtable_remove_user_from_enterpriseRemove user from enterprise
airtable_revoke_admin_accessRevoke admin access
airtable_update_collaborator_base_permissionUpdate collaborator base permission
airtable_update_commentUpdate comment
airtable_update_fieldUpdate field
airtable_update_interface_collaboratorUpdate interface collaborator
airtable_update_multiple_recordsUpdate multiple records
airtable_update_recordUpdate record
airtable_update_tableUpdate table
airtable_update_workspace_collaboratorUpdate workspace collaborator
airtable_update_workspace_restrictionsUpdate workspace restrictions

airtable_add_base_collaborator

Add base collaborator Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
collaboratorsany[]YesThis endpoint accepts two types of collaborators: individual user and group.

airtable_add_interface_collaborator

Add interface collaborator Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
pageBundleIdstringYespageBundleId
collaboratorsany[]YesThis endpoint accepts two types of collaborators: individual user and group. This route currently supports adding only one collaborator at a time.

airtable_add_workspace_collaborator

Add workspace collaborator Parameters:
ParameterTypeRequiredDefaultDescription
workspaceIdstringYesworkspaceId
collaboratorsany[]YesThis endpoint accepts two types of collaborators: individual user and group.

airtable_audit_log_events

Audit log events Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
startTimestringNoEarliest audit log event to retrieve (inclusive), in ISO 8601 date time format. Optional. Defaults to the beginning of the retention period, 180 days ago.
endTimestringNoLatest audit log event to retrieve (exclusive), in ISO 8601 date time format. Optional. Defaults to now.
originatingUserIdany[]NoRetrieve audit log events originating from the provided user ID or IDs (maximum 100). Optional.
eventTypeany[]NoRetrieve audit log events falling under the provided event type or event types (maximum 100). Optional.
modelIdany[]NoRetrieve audit log events taking action on, or involving, the provided model ID or IDs (maximum 100). Optional.
pageSizenumberNoThe number of events per page. Maximum value of 1000; defaults to 10.
sortOrderstringNoSort the events by timestamp in ascending or descending order. Defaults to descending.
previousstringNoIf there are older items to retrieve, a previous is returned. Pass the previous from a prior call to retrieve the next-oldest page of items. You may pass the special value null to indicate “use the default behavior”, which operates identically to omitting the previous parameter entirely.
nextstringNoIf there are newer items to retrieve, a next is returned. Pass the next from a prior call to retrieve the next-newest page of items. You may pass the special value null to indicate “use the default behavior”, which operates identically to omitting the next parameter entirely.
categoryany[]Nocategory

airtable_change_events

Change events Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
startTimestringNoEarliest change event to retrieve (inclusive), in ISO 8601 date time format. Optional.
endTimestringNoLatest change event to retrieve (exclusive), in ISO 8601 date time format. Optional.
pageSizenumberNoThe number of records per page. Maximum value of 100; defaults to 10.
offsetstringNoIf there may be more to retrieve, an offset is returned. Pass the offset to the next call to retrieve the next page. Do not pass offset when retrieving the first page.

airtable_create_a_webhook

Create a webhook Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
notificationUrlstringNoAn optional url that can receive notification pings. See notification delivery.
specificationobjectYesA JSON object that describe the types of changes the webhook is interested in.

airtable_create_audit_log_request

Create audit log request Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
filterstringNoAn optional filter may be supplied. The filter value may be any of: - User ID - Workspace ID - Base ID - Table ID - IPv4 address (1.2.3.4)
timePeriodstringYesThe time period (specific month or day) for which you want to retrieve audit logs for. Must be in either YYYY-MM or YYYY-MM-DD format and within the last 180 days.

airtable_create_base

Create base Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name for the new base.
tablesany[]YesA list of JSON objects representing the tables that will be created along with the base.
workspaceIdstringYesThe workspace where the base will be created.

airtable_create_base_from_package_enterprise

Create base from package Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
packageIdstringYespackageId
descriptionstringNoOptional description for the base.
namestringYesThe name for the new base.
packageReleaseIdstringYesThe package release ID to install.
workspaceIdstringYesThe workspace where the base will be created.

airtable_create_comment

Create comment Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
recordIdstringYesrecordId
parentCommentIdstringNoA comment ID
textstringYestext

airtable_create_descendant_enterprise

Create descendant enterprise Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
namestringYesname

airtable_create_ediscovery_export

Create eDiscovery export Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
baseIdstringYesBase ID to create eDiscovery export for.
includeCsvFormatbooleanNoIf set, also export the base as CSVs (in a zipped file). Once the export is ready for download, the URL to the zip file will be available in the csvZipDownloadUrl attribute.
shouldSendEmailOnCompletionbooleanNoIf set, an email will be sent to the user who initiated the export once the export is ready for download.

airtable_create_field

Create field Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdstringYestableId
bodyobjectNoThis identical to Field type and options, with an additional name and description property on all types

airtable_create_records

Create records Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
fieldsobjectNoCreate a single record
recordsobjectNoCreate multiple records Pass in multiple records to create multiple in one request
returnFieldsByFieldIdbooleanNoAn optional boolean value that lets you return field objects keyed by the field id. This defaults to false, which returns field objects where the key is the field name.
typecastbooleanNoThe Airtable API will perform best-effort automatic data conversion from string values if the typecast parameter is passed in. Automatic conversion is disabled by default to ensure data integrity, but it may be helpful for integrating with 3rd party data sources.

airtable_create_table

Create table Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
descriptionstringNoThe description for the table (optional). If present, must be a non-empty string no longer than 20,000 characters.
fieldsany[]YesA list of JSON objects representing the fields in the table. Refer to field types for supported field types, the write format for field options, and other specifics for certain field types.
namestringYesThe name for the table.

airtable_create_workspace

Create workspace Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesThe enterprise account that the workspace will be created in.
namestringYesName of the workspace to be created.

airtable_delete_a_webhook

Delete a webhook Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
webhookIdstringYeswebhookId

airtable_delete_base

Delete base Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId

airtable_delete_base_collaborator

Delete base collaborator Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
userOrGroupIdstringYesuserOrGroupId

airtable_delete_base_invite

Delete base invite Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
inviteIdstringYesinviteId

airtable_delete_block_installation

Delete block installation Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
blockInstallationIdstringYesblockInstallationId

airtable_delete_comment

Delete comment Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
recordIdstringYesrecordId
rowCommentIdstringYesrowCommentId

airtable_delete_interface_collaborator

Delete interface collaborator Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
pageBundleIdstringYespageBundleId
userOrGroupIdstringYesuserOrGroupId

airtable_delete_interface_invite

Delete interface invite Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
pageBundleIdstringYespageBundleId
inviteIdstringYesinviteId

airtable_delete_multiple_records

Delete multiple records Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
recordsany[]NoThe recordIds of each record to be deleted. Up to 10 recordIds can be provided.

airtable_delete_record

Delete record Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
recordIdstringYesrecordId

airtable_delete_share

Delete share Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
shareIdstringYesshareId

airtable_delete_user_by_id

Delete user by id Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
userIdstringYesuserId

airtable_delete_users_by_email

Delete users by email Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
emailany[]Noemail

airtable_delete_view

Delete view Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
viewIdstringYesviewId

airtable_delete_workspace

Delete workspace Parameters:
ParameterTypeRequiredDefaultDescription
workspaceIdstringYesworkspaceId

airtable_delete_workspace_collaborator

Delete workspace collaborator Parameters:
ParameterTypeRequiredDefaultDescription
workspaceIdstringYesworkspaceId
userOrGroupIdstringYesuserOrGroupId

airtable_delete_workspace_invite

Delete workspace invite Parameters:
ParameterTypeRequiredDefaultDescription
workspaceIdstringYesworkspaceId
inviteIdstringYesinviteId

airtable_enable_disable_webhook_notifications

Enable/disable webhook notifications Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
webhookIdstringYeswebhookId
enablebooleanYesenable

airtable_get_audit_log_request

Get audit log request Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
enterpriseAuditLogTaskIdstringYesenterpriseAuditLogTaskId

airtable_get_base_collaborators

Get base collaborators Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
includeany[]NoIf specified, collaborators, interfaces, inviteLinks key, and/or packages will be included in the response object. Otherwise, they will be left out.

airtable_get_base_schema

Get base schema Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
includeany[]NoIf specified, additional fields to include in the views object response; currently, this list only allows a single literal value visibleFieldIds (for views of type grid only)

airtable_get_ediscovery_export

Get eDiscovery export Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
enterpriseTaskIdstringYesenterpriseTaskId

airtable_get_enterprise

Get enterprise Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
includeany[]NoIf specified, aggregated and/or descendants keys will be included in the response object. Otherwise, it will be left out.

airtable_get_interface

Get interface Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
pageBundleIdstringYespageBundleId
includeany[]Noinclude

airtable_get_record

Get record Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
recordIdstringYesrecordId
cellFormatobjectNoThe format that should be used for cell values. Supported values are: - json: cells will be formatted as JSON, depending on the field type. - string: cells will be formatted as user-facing strings, regardless of the field type. The timeZone and userLocale parameters are required when using string as the cellFormat. Note: You should not rely on the format of these strings, as it is subject to change. The default is json.
returnFieldsByFieldIdbooleanNoAn optional boolean value that lets you return field objects where the key is the field id. This defaults to false, which returns field objects where the key is the field name.
includeDateDependencyMetadatabooleanNoAn optional boolean value that returns linked record cell values as objects instead of record IDs. When true, all linked record fields return an array of objects with an id property. Linked record fields configured for date dependencies include an optional dateDependencyMetadata object with dependencyType and buffer fields (when date dependencies are configured in fixed mode). When false or unset, linked record fields return an array of record ID strings. This defaults to false.

airtable_get_user_by_id

Get user by id Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
userIdstringYesuserId
includeany[]NoIf specified, collaborations, aggregated, and/or descendants keys will be included in the response object. Otherwise, they will be left out.

airtable_get_user_group

Get user group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesgroupId
includeany[]NoIf specified, collaborations key will be included in the response object. Otherwise it will be left out. You must be a group member or enterprise admin to view this information.

airtable_get_user_id_scopes

Get user info

airtable_get_users_by_id_or_email

Get users by id or email Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
emailany[]NoEmail addresses to search by. If the request does not have any userIds, you must include at least one email address.
idany[]NoUser Ids to search by. If the request does not have any email addresses, you must include at least one userId.
includeany[]NoAllows optionally including collaborations in response.

airtable_get_view_metadata

Get view metadata Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
viewIdstringYesviewId
includeany[]NoIf specified, additional fields to include in the views object response; currently, this list only allows a single literal value visibleFieldIds (for views of type grid only)

airtable_get_workspace_collaborators

Get workspace collaborators Parameters:
ParameterTypeRequiredDefaultDescription
workspaceIdstringYesworkspaceId
includeany[]NoIf specified, collaborators or inviteLinks key will be included in the response object. Otherwise they will be left out.

airtable_grant_admin_access

Grant admin access Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
usersany[]Yesusers

airtable_list_audit_log_requests

List audit log requests Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
pageSizenumberNoThe number of records per page. Maximum value of 100; defaults to 10.
offsetnumberNoIf there may be more to retrieve, an offset is returned. Pass the offset to the next call to retrieve the next page. Do not pass offset when retrieving the first page.

airtable_list_bases

List bases Parameters:
ParameterTypeRequiredDefaultDescription
offsetstringNooffset

airtable_list_block_installations

List block installations Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId

airtable_list_comments

List comments Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
recordIdstringYesrecordId
pageSizenumberNoIf specified, this will determine the number of comments to return. Must be less than or equal to 100. Default is 100.
offsetstringNoA pointer to a specific comment. If specified, the returned comments will begin at the specified offset. An offset to the next set of comments will be provided by the API if the number of returned comments exceed the pageSize.

airtable_list_ediscovery_export

List eDiscovery exports Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
statestringNoFilter for exports with the specified state.
pageSizenumberNoThe number of records per page. Maximum value of 100; defaults to 10.
offsetnumberNoIf there may be more to retrieve, an offset is returned. Pass the offset to the next call to retrieve the next page. Do not pass offset when retrieving the first page.

airtable_list_enterprise_packages

List packages Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
shouldGetAllPackagesInGridbooleanNoIf true and the enterprise account is the root enterprise account, returns all packages across the entire enterprise grid. Defaults to false.

airtable_list_records

List records Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
timeZoneobjectNotimeZone
userLocalestringNoThe user locale that should be used to format dates when using string as the cellFormat. This parameter is required when using string as the cellFormat.
pageSizenumberNoThe number of records returned in each request. Must be less than or equal to 100. Default is 100.
maxRecordsnumberNoThe maximum total number of records that will be returned in your requests. If this value is larger than pageSize (which is 100 by default), you may have to load multiple pages to reach this total.
offsetstringNoTo fetch the next page of records, include offset from the previous request in the next request’s parameters.
viewobjectNoThe name or ID of a view in the table. If set, only the records in that view will be returned. The records will be sorted according to the order of the view unless the sort parameter is included, which overrides that order. Fields hidden in this view will be returned in the results. To only return a subset of fields, use the fields parameter.
sortobjectNoA list of sort objects that specifies how the records will be ordered. Each sort object must have a field key specifying the name of the field to sort on, and an optional direction key that is either “asc” or “desc”. The default direction is “asc”. The sort parameter overrides the sorting of the view specified in the view parameter. If neither the sort nor the view parameter is included, the order of records is arbitrary.
filterByFormulastringNoA formula used to filter records. The formula will be evaluated for each record, and if the result is not 0, false, "", NaN, [], or #Error! the record will be included in the response. We recommend testing your formula in the Formula field UI before using it in your API request. If combined with the view parameter, only records in that view which satisfy the formula will be returned. The formula must be encoded first before passing it as a value. You can use this tool to not only encode the formula but also create the entire url you need. Formulas can use field names, or field id’s inside of the formula. Note Airtable’s API only accepts request with a URL shorter than 16,000 characters. Encoded formulas may cause your requests to exceed this limit. To fix this issue you can instead make a POST request to /v0/{baseId}/{tableIdOrName}/listRecords while passing the parameters within the body of the request instead of the query parameters.
cellFormatobjectNoThe format that should be used for cell values. Supported values are: - json: cells will be formatted as JSON, depending on the field type. - string: cells will be formatted as user-facing strings, regardless of the field type. The timeZone and userLocale parameters are required when using string as the cellFormat. Note: You should not rely on the format of these strings, as it is subject to change. The default is json.
fieldsobjectNoOnly data for fields whose names or IDs are in this list will be included in the result. If you don’t need every field, you can use this parameter to reduce the amount of data transferred. Note Airtable’s API only accepts request with a URL shorter than 16,000 characters. Encoded formulas may cause your requests to exceed this limit. To fix this issue you can instead make a POST request to /v0/{baseId}/{tableIdOrName}/listRecords while passing the parameters within the body of the request instead of the query parameters.
returnFieldsByFieldIdbooleanNoAn optional boolean value that lets you return field objects where the key is the field id. This defaults to false, which returns field objects where the key is the field name.
includeDateDependencyMetadatabooleanNoAn optional boolean value that returns linked record cell values as objects instead of record IDs. When true, all linked record fields return an array of objects with an id property. Linked record fields configured for date dependencies include an optional dateDependencyMetadata object with dependencyType and buffer fields (when date dependencies are configured in fixed mode). When false or unset, linked record fields return an array of record ID strings. This defaults to false.
recordMetadataany[]NoAn optional field that, if specified, includes commentCount on each record returned.

airtable_list_shares

List shares Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId

airtable_list_views

List views Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
includeany[]NoIf specified, additional fields to include in the views object response; currently, this list only allows a single literal value visibleFieldIds (for views of type grid only)

airtable_list_webhook_payloads

List webhook payloads Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
webhookIdstringYeswebhookId
cursornumberNoThe first time this action is called, the cursor argument may be omitted from the request and will default to 1. After that, cursors should be saved between invocations of this action. When a client receives a ping, it should use the last cursor that this action returned when polling for new payloads, no matter how old that cursor value is. The cursor argument indicates the transaction number of the payload to start listing from.
limitnumberNoIf given the limit parameter specifies the maximum number of payloads to return in the response. A maximum of 50 payloads can be returned in a single request. A single payload can contain multiple updates.

airtable_list_webhooks

List webhooks Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId

airtable_logout_user

Logout user Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
userIdstringYesuserId

airtable_manage_block_installation

Manage block installation Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
blockInstallationIdstringYesblockInstallationId
statestringYesstate

airtable_manage_share

Manage share Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
shareIdstringYesshareId
statestringYesWhen enabling a share a user is subject to sharing restrictions. These restrictions are not applicable when disabling a share.

airtable_manage_user

Manage user Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
userIdstringYesuserId
emailstringNoEnterprise account must own both the original and destination email domains. WARNING: If SSO is required for your enterprise account, you must follow these steps precisely to avoid locking the end user out of their account or creating duplicate accounts. - Use this API to update the user’s email to a new value (this effectively logs the user out) - Use your SSO provider’s (e.g. Okta’s) admin panel to update the user’s email to the new value - Tell the user to log into Airtable with the new email
firstNamestringNofirstName
lastNamestringNolastName
statestringNoprovisioned | deactivated Can only change the state of managed users.

airtable_manage_user_batched

Manage user batched Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
usersany[]Yesusers

airtable_manage_user_membership

Manage user membership Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
usersany[]Yesusers

airtable_move_base

Move base Parameters:
ParameterTypeRequiredDefaultDescription
workspaceIdstringYesworkspaceId
baseIdstringYesID of the base to be moved
targetIndexnumberNoThe desired index for the base in the target workspace’s base order (optional). If provided, targetIndex must be a number between 0 (beginning of the list) and the number of bases in the target workspace (end of the list). If targetIndex is not provided, the base will be moved to the end of the list of bases in the target workspace.
targetWorkspaceIdstringYesID of the target workspace of the move. I.e. the workspace that the base will belong to once the move is complete. The target workspace must be in the same enterprise account as the source workspace.

airtable_move_user_groups

Move user groups Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
groupIdsany[]YesID of the groups to be moved. Up to 100 groupIds can be provided.
targetEnterpriseAccountIdstringYesID of the target enterprise account of the move. The target enterprise account must be in the same Hub-enabled organization as the source enterprise account, and you must have admin rights over the target enterprise account.

airtable_move_workspaces

Move workspaces Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
replacementOwnerIdstringNoIf the target enterprise account has the invites settings restricted to org unit members, all non-member collaborators will be removed when the workspace are moved. If any workspace only has non-member owners, you must specify a replacementOwnerId to be added as the new owner of such workspaces. If no workspace has only non-member owners, replaceOwnerId is optional and will be ignored if provided.
targetEnterpriseAccountIdstringYesID of the target enterprise account of the move. The target enterprise account must be in the same Hub-enabled organization as the source enterprise account, and you must have admin rights over the target enterprise account.
workspaceIdsany[]YesID of the workspaces to be moved. Up to 100 workspaceIds can be provided.

airtable_post_sync_api_endpoint

Sync CSV data Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
apiEndpointSyncIdstringYesapiEndpointSyncId

airtable_refresh_a_webhook

Refresh a webhook Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
webhookIdstringYeswebhookId

airtable_remove_user_from_enterprise

Remove user from enterprise Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
userIdstringYesuserId
isDryRunbooleanNoisDryRun
removeFromDescendantsbooleanNoIf true, removes the user from descendant enterprise accounts as well. Only enterprise accounts with the Enterprise Hub feature enabled have descendant enterprise accounts.
replacementOwnerIdobjectNoIf the user is the sole owner of any workspaces, you must specify a replacementOwnerId to be added as the new owner of such workspaces. If the user is not the sole owner of any workspaces, replacementOwnerId is optional and will be ignored if provided.

airtable_revoke_admin_access

Revoke admin access Parameters:
ParameterTypeRequiredDefaultDescription
enterpriseAccountIdstringYesenterpriseAccountId
usersany[]Yesusers

airtable_update_collaborator_base_permission

Update collaborator base permission Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
userOrGroupIdstringYesuserOrGroupId
permissionLevelstringYespermissionLevel

airtable_update_comment

Update comment Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
recordIdstringYesrecordId
rowCommentIdstringYesrowCommentId
textstringYestext

airtable_update_field

Update field Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdstringYestableId
columnIdstringYescolumnId
descriptionstringNoThe new description for the field (optional). If present, must be a string no longer than 20,000 characters.
namestringNoThe new name for the field (optional).

airtable_update_interface_collaborator

Update interface collaborator Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
pageBundleIdstringYespageBundleId
userOrGroupIdstringYesuserOrGroupId
permissionLevelstringYespermissionLevel

airtable_update_multiple_records

Update multiple records Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
performUpsertobjectNoEnables upsert behavior when set. fieldsToMergeOn will be used as an external ID to match records for updates. For records where no match is found, a new Airtable record will be created.
recordsany[]Yesrecords
returnFieldsByFieldIdbooleanNoIf set to true, records in the API response will key the fields object by field ID. Defaults to false when unset, which returns fields objects keyed by field name.
typecastbooleanNoIf set to true, Airtable will try to convert string values into the appropriate cell value. This conversion is only performed on a best-effort basis. To ensure your data’s integrity, this should only be used when necessary. Defaults to false when unset.

airtable_update_record

Update record Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
recordIdstringYesrecordId
fieldsobjectYesfields
returnFieldsByFieldIdbooleanNoAn optional boolean value that lets you return field objects keyed by the field id. This defaults to false, which returns field objects where the key is the field name.
typecastbooleanNoThe Airtable API will perform best-effort automatic data conversion from string values if the typecast parameter is passed in. Automatic conversion is disabled by default to ensure data integrity, but it may be helpful for integrating with 3rd party data sources.

airtable_update_table

Update table Parameters:
ParameterTypeRequiredDefaultDescription
baseIdstringYesbaseId
tableIdOrNamestringYestableIdOrName
dateDependencySettingsobjectNoConfiguration for a table’s date dependency settings.
descriptionstringNoThe new description for the table (optional). If present, must be a string no longer than 20,000 characters.
namestringNoThe new name for the table (optional).

airtable_update_workspace_collaborator

Update workspace collaborator Parameters:
ParameterTypeRequiredDefaultDescription
workspaceIdstringYesworkspaceId
userOrGroupIdstringYesuserOrGroupId
permissionLevelobjectYespermissionLevel

airtable_update_workspace_restrictions

Update workspace restrictions Parameters:
ParameterTypeRequiredDefaultDescription
workspaceIdstringYesworkspaceId
inviteCreationRestrictionstringNoinviteCreationRestriction
shareCreationRestrictionstringNoshareCreationRestriction